package com.nisum.ecomservice.repository;

import com.nisum.ecomservice.model.User;
import org.springframework.data.mongodb.repository.Query;
import org.springframework.data.mongodb.repository.ReactiveMongoRepository;
import org.springframework.stereotype.Repository;
import reactor.core.publisher.Mono;

public interface UserRepository extends ReactiveMongoRepository<User, String> {
    @Query("SELECT u from User u where u.email= $email")
    Mono<User> findUserbyEmail(String email);
}
