import OrderHistory from "../components/order-history/order-history";
import { getOrderHistory } from "../util/order_api_util";

export const SET_USER_HISTORY = "SET_USER_HISTORY";

export const dispatchOrderHistory = (userId) => async dispatch =>{
    const orderHistory = await getOrderHistory(userId);
    return dispatch(orderHistoryAction(orderHistory));
}

const orderHistoryAction = (orderHistory) => (
    {
        type: SET_USER_HISTORY,
        orderHistory
    }
)