import React from 'react';


const OrderItem = (props) => {
    const {orderItem} = props;
    const {itemName, itemPrice, itemQuantity} = orderItem;

    const subTotal = itemQuantity * itemPrice;


    return (
        <div className="order-item">
            <p>Item: {itemName}</p>
            <p>Quantity: {itemQuantity}</p>
            <p>Price Per Unit: ${itemPrice.toFixed(2)}</p>
            <p>Subtotal: ${subTotal.toFixed(2)}</p>
        </div>
    )
}

export default OrderItem;