// import React, {useState, useEffect} from 'react'

export default function PaymentMethod(props) {
    return (
        <div className="order-component" id="PaymentInput">

            <div className="OrderDirectionsElement" id="PaymentLabel">
                <p>Step 2 - Billing</p>
            </div>

            <div className="shippingInfoInput" id="cardNumberInput">
                <input  placeholder={props.cardNumber}
                        type="text"
                        onChange={(e) => props.captureCardNumber(e.target.value)}
                        className="input-text"
                ></input>
            </div>

            <div className="shippingInfoInput" id="cardholderNameInput">
                <input  placeholder={props.cardHolderName}
                        type="text"
                        onChange={(e) => props.captureCardHolderName(e.target.value)}
                        className="input-text"                
                ></input>
            </div>

            <div className="shippingInfoInput" id="expirationDateInput">
                <input  placeholder={props.expirationDate}
                        type="text"
                        onChange={(e) => props.captureExpirationDate(e.target.value)}
                        className="input-text"                
                ></input>
            </div>

            <div className="shippingInfoInput" id="cvvCodeInput">
                <input  placeholder={props.cvv}
                        type="text"
                        onChange={(e) => props.captureCVV(e.target.value)}
                        className="input-text"                
                ></input>
            </div>


        </div>
    )
}
