import React from 'react';
import ReactDOM from 'react-dom';
import configureStore from './store/store'
import 'bootstrap/dist/css/bootstrap.css'
import Root from './components/root';
import Modal from 'react-modal';

document.addEventListener("DOMContentLoaded", () => {
  Modal.setAppElement('#root')
  let store = configureStore();

  const root = document.getElementById('root');
  ReactDOM.render(<Root store={ store } />, root)
});
