import { SET_USER_HISTORY } from '../actions/order_history_actions';
import { LOGOUT_USER } from '../actions/session_actions';
import {SEND_USER_ORDER} from './../actions/checkout_actions'

const initialState = {
    orderResponse: {},
    orderHistory: []
}

const orderReducer = (prevState = initialState, action) => {
    Object.freeze(prevState);
    const nextState = {...prevState};

    switch(action.type) {
        case SEND_USER_ORDER:
            nextState.orderResponse = action.payload
            return nextState

        case SET_USER_HISTORY:
            nextState.orderHistory = action.orderHistory;
            return nextState;
        case LOGOUT_USER:
            nextState.orderHistory = [];
            return nextState;
        default:
            return nextState
    }
}


export default orderReducer