import { combineReducers } from 'redux';
import productsReducer from './products_reducer';
import orderReducer from './order_reducer'
import userReducer from './user_reducer'
import cartReducer from './cart_reducer';


const rootReducer = combineReducers({
    market: productsReducer,
    user: userReducer,
    cart: cartReducer,
    orderStatus: orderReducer

});

export default rootReducer;